# Uses of Interface
org.eclipse.emf.cdo.lm.reviews.Comment

Packages that use Comment
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.util

## Uses of Comment in org.eclipse.emf.cdo.lm.reviews

Methods in org.eclipse.emf.cdo.lm.reviews that return Comment
Modifier and Type
Method
Description
`Comment`
ReviewsFactory.`createComment()`
Returns a new object of class 'Comment'.
`Comment`
Comment.`getReplyTo()`
Returns the value of the 'Reply To' reference.
Methods in org.eclipse.emf.cdo.lm.reviews that return types with arguments of type Comment
Modifier and Type
Method
Description
`EList<Comment>`
TopicContainer.`getComments()`
Returns the value of the 'Comments' containment reference list.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type Comment
Modifier and Type
Method
Description
`void`
Comment.`setReplyTo(Comment value)`
Sets the value of the '`Reply To`' reference.
Method parameters in org.eclipse.emf.cdo.lm.reviews with type arguments of type Comment
Modifier and Type
Method
Description
`default boolean`
TopicContainer.`forEachComment(Predicate<Comment> consumer)`

## Uses of Comment in org.eclipse.emf.cdo.lm.reviews.impl

Classes in org.eclipse.emf.cdo.lm.reviews.impl that implement Comment
Modifier and Type
Class
Description
`class`
`CommentImpl`
An implementation of the model object 'Comment'.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Comment
Modifier and Type
Method
Description
`Comment`
CommentImpl.`basicGetReplyTo()`
`Comment`
ReviewsFactoryImpl.`createComment()`
`Comment`
CommentImpl.`getReplyTo()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return types with arguments of type Comment
Modifier and Type
Method
Description
`EList<Comment>`
ReviewImpl.`getComments()`
`EList<Comment>`
TopicContainerImpl.`getComments()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type Comment
Modifier and Type
Method
Description
`void`
CommentImpl.`setReplyTo(Comment newReplyTo)`

## Uses of Comment in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util that return Comment
Modifier and Type
Method
Description
`static Comment`
ReviewsOperationAuthorizer.`getContextComment(org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)`
Methods in org.eclipse.emf.cdo.lm.reviews.util with parameters of type Comment
Modifier and Type
Method
Description
`T`
ReviewsSwitch.`caseComment(Comment object)`
Returns the result of interpreting the object as an instance of 'Comment'.